Bug 178139 - g++ internal compile error building libhoard.so (3.4.0)
g++ internal compile error building libhoard.so (3.4.0)
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
4
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-17 19:03 EST by Cargo Cult
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.1.0-3
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-16 04:47:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Preprocessed source stored into /tmp/ccwHSlN0.out file, please attach this to your bugreport. (436.34 KB, text/plain)
2006-01-17 19:06 EST, Cargo Cult
no flags Details

  None (edit)
Description Cargo Cult 2006-01-17 19:03:26 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.12) Gecko/20050922 Fedora/1.0.7-1.1.fc4 Firefox/1.0.7

Description of problem:
Get g++ internal compiler error trying to build libhoard.so from source.

Version-Release number of selected component (if applicable):
gcc-c++-4.0.2-8.fc4

How reproducible:
Always

Steps to Reproduce:
1. wget http://www.cs.umass.edu/~emery/hoard/hoard-3.4.0/heaplayers-3-4-0.tar.gz
2. tar zxvf heaplayers-3-4-0.tar.gz
3. cd heaplayers-3-4-0/allocators/hoard
4. ./compile
  

Actual Results:  [sfo@new hoard]$ ./compile
Compiling for Linux
tlab.h: In member function ‘void* ThreadLocalAllocationBuffer<NumBins, getSizeClass, getClassSize, LargestObject, LocalHeapThreshold, SuperblockType, SuperblockSize, ParentHeap>::malloc(size_t) [with int NumBins = 33, int (* getSizeClass)(size_t) = HL::bins<Header, 4096>::getSizeClass [with Header = NoHeader], size_t (* getClassSize)(int) = HL::bins<Header, 4096>::getClassSize [with Header = NoHeader], int LargestObject = 128, int LocalHeapThreshold = 65536, SuperblockType = HoardSuperblock<HL::SpinLockType, 4096, SmallHeap>, int SuperblockSize = 4096, ParentHeap = HoardHeapType]’:
../../heaplayers/wrapper.cpp:88:   instantiated from here
tlab.h:51: internal compiler error: in build_call, at cp/call.c:323
Please submit a full bug report,
with preprocessed source if appropriate.
See <URL:http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/ccMbeStV.out file, please attach this to your bugreport.
g++: libhoard.o: No such file or directory


Expected Results:  should have generated the file libhoard.so

Additional info:

[sfo@new hoard]$ g++ -v
Using built-in specs.
Target: i386-redhat-linux
Configured with: ../configure --prefix=/usr --mandir=/usr/share/man --infodir=/usr/share/info --enable-shared --enable-threads=posix --enable-checking=release --with-system-zlib --enable-__cxa_atexit --disable-libunwind-exceptions --enable-libgcj-multifile --enable-languages=c,c++,objc,java,f95,ada --enable-java-awt=gtk --with-java-home=/usr/lib/jvm/java-1.4.2-gcj-1.4.2.0/jre --host=i386-redhat-linux
Thread model: posix
gcc version 4.0.2 20051125 (Red Hat 4.0.2-8)
Comment 1 Cargo Cult 2006-01-17 19:06:34 EST
Created attachment 123347 [details]
Preprocessed source stored into /tmp/ccwHSlN0.out file, please attach this to your bugreport.

attached as requested by g++
Comment 3 Jakub Jelinek 2006-05-16 04:47:57 EDT
Fixed in gcc-4.1.0-3.

Note You need to log in before you can comment on or make changes to this bug.